<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <title>Item Catalog</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" media="screen" href="/static/main.css" />
    <!-- <script src="main.js"></script> -->
</head>

<body>
    <header>
        <div id="header-title">
            <a href="{{homepage_url}}">Catalog App</a>
        </div>
        {% if not logged_in %}
        <div class="button-wrapper">
            <a href="{{login_url}}">
                <input type="button" value="Login" />
            </a>
        </div>
        {% else %}
        <div class="button-wrapper">
            <a href="{{logout_url}}">
                <input type="button" value="Logout" />
            </a>
        </div>
        {% endif %}
    </header>
    <div class="menu">
        <h2>Edit Item</h2>
        <form action="{{post_url}}" method='post'>
            <h4>Title:</h4>
            <input type="text" size='150' name='name' value="{{item['name']}}" required>
            <h4>Description:</h4>
            <textarea cols="40" rows="5" maxlength='500' name='description' required>{{item['description']}}</textarea>
            <h4>Category:</h4>
            <select name="category_id" required>
                {% for cat in categories %}
                {% if cat['id'] == item['category_id'] %}
                <option value="{{cat['id']}}" selected>{{cat['name']}}</option>
                {% else %}
                <option value="{{cat['id']}}">{{cat['name']}}</option>
                {% endif %}
                {% endfor %}
            </select>
            <br><br><br>
            <input type="submit" value="Edit">
            <br>
        </form>
    </div>
    <footer>
        {% if logged_in %}
        <img class="avatar" src="{{user['picture']}}">
        <p>You are logged in as {{user['name']}}</p>
        {% endif %}
    </footer>
</body>

</html>